Bug 138904 - (IT#49222) PHP cURL getting a 'SSL Couldn't create a context error'.
PHP cURL getting a 'SSL Couldn't create a context error'.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks: 132992
  Show dependency treegraph
 
Reported: 2004-11-11 16:26 EST by Steve Conklin
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-19 13:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2004-11-11 16:26:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
From IT#49222

 I have reproduced this.

I looked at the php.ini from the failing system last night, and saw
nothing obvious. Then I actually added the settings from the
Production server one at a time in my test environment and narrowed it
to the following (seemingly innocuous) line:

extension=imap.so

This line is missing from the /etc/php.ini files on the Production
environment. This line is created in the /etc/php.ini file by the
php-imap package, which contains the following post installation script:

# rpm -q --scripts php-imap
postinstall scriptlet (through /bin/sh):
       /usr/bin/perl -pi -e "s|^;extension=imap.so|extension=imap.so|"
/etc/php .ini
       /usr/bin/perl -pi -e
"s|^;extension=php_imap.dll|extension=imap.so|" /et c/php.ini
preuninstall scriptlet (through /bin/sh):
       if [ $1 = 0 -a -f /etc/php.ini ] ; then
         /usr/bin/perl -pi -e
"s|^extension=imap.so|;extension=imap.so|" /etc/p hp.ini
       fi

Don tested on the inactive production server after running the
follwoing command:

up2date php-imap

and the issue was resolved..

------------------------



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use php curl 
2.
3.
    

Actual Results:  Fails with error message: "SSL: couldn't create a
context!"

Expected Results:  No failure

Additional info:

See details in IT#49222
Comment 1 Joe Orton 2004-11-12 09:24:31 EST
Did you manage to establish that this was not a genuine (if transient)
out-of-memory error?
Comment 2 Johnray Fuller 2004-11-12 10:20:14 EST
I did not do any work in establishing whether or not it is a genuine
out-of-memory error case.

J
Comment 5 Joe Orton 2004-11-12 10:56:05 EST
The bug is in the way PHP initializes the curl library: it doesn't
request OpenSSL library initialization.  When the imap extension is
also loaded, the imap extension itself initializes OpenSSL, so the
problem doesn't manifest in that case.

It's a simple fix, will integrate for a future update.
Comment 6 Steve Conklin 2004-12-16 10:33:09 EST
Joe, did this make U6?
Comment 7 Joe Orton 2004-12-16 10:38:51 EST
No, per the blocker list, it's scheduled for U7.
Comment 8 Josh Bressers 2005-01-19 13:46:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-031.html

Note You need to log in before you can comment on or make changes to this bug.